Require Export realbasis.
Require Export Field_tac.
Require Export proof_utils.
Require Export real_facts.


CoFixpoint inv_series (v:stream idigit)
  (s :Z*Z*stream idigit*stream idigit) :stream idigit :=
  let (aux, x) := s in let (aux1, xpk) := aux in
    let (y, pow2n) := aux1 in
      series_body_pos _ inv_series 


      if Z_le_gt_dec (8*y) (fact_nm1*(n-1))%Z then
        mk_triple v n fact_nm1else
          mk_triple (v + (rat_to_stream y (fact_nm1 * n)))
          (n+1) (fact_nm1*n) in
     series_body_pos  _ e_series v' (2*y, n', fact_nm1')%Z.

